> ## Documentation Index
> Fetch the complete documentation index at: https://docs.cekura.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Runs Improve Prompt

> Generate prompt improvement suggestions from run results



## OpenAPI

````yaml post /test_framework/v1/runs/improve_prompt/
openapi: 3.1.0
info:
  title: Cekura API
  version: v1
  description: >-
    Complete API documentation for the Cekura platform. This API provides
    endpoints for testing, observing, and evaluating AI voice agents — including
    managing agents, running evaluators, defining metrics, and analyzing call
    quality.
servers:
  - url: https://api.cekura.ai
security: []
paths:
  /test_framework/v1/runs/improve_prompt/:
    post:
      tags:
        - test_framework
      description: Generate prompt improvement suggestions from run results
      operationId: runs-improve-prompt-create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SchemaPostRunImprovePrompt'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/SchemaPostRunImprovePrompt'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/SchemaPostRunImprovePrompt'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SchemaResponseRunImprovePrompt'
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                properties:
                  field_name:
                    type: array
                    items:
                      type: string
          description: ''
      security:
        - api_key: []
components:
  schemas:
    SchemaPostRunImprovePrompt:
      type: object
      properties:
        prompt:
          type: string
          description: Prompt to improve
        category_ids:
          type: array
          items:
            type: integer
          description: List of category IDs
        workflow_metric_ids:
          type: array
          items:
            type: integer
          description: List of workflow metric IDs
        run_ids:
          type: array
          items:
            type: integer
          description: List of run IDs to analyze (max 3)
          maxItems: 3
      required:
        - prompt
        - run_ids
    SchemaResponseRunImprovePrompt:
      type: object
      properties:
        improved_prompt:
          type: string
          description: Improved prompt for the AI agent
        summary_of_changes:
          type: string
          description: Summary of changes made to the prompt
      required:
        - improved_prompt
        - summary_of_changes
  securitySchemes:
    api_key:
      type: apiKey
      name: X-CEKURA-API-KEY
      in: header
      description: >-
        API Key Authentication. It should be included in the header of each
        request.

````